# Created by pyp2rpm-3.3.3
%global pypi_name pony

Name:           python-%{pypi_name}
Version:        0.7.18
Release:        %mkrel 1
Summary:        Pony Object-Relational Mapper
Group:          Development/Python
License:        Apache License Version 2.0
URL:            https://ponyorm.com
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
Pony ORM is easy to use and powerful object-relational mapper for Python.

Using Pony, developers can create and maintain database-oriented software
applications faster and with less effort. One of the most interesting features
of Pony is its ability to write queries to the database using generator
expressions. Pony then analyzes the abstract syntax tree of a generator and
translates it to its SQL equivalent.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pony ORM is easy to use and powerful object-relational mapper for Python.

Using Pony, developers can create and maintain database-oriented software
applications faster and with less effort. One of the most interesting features
of Pony is its ability to write queries to the database using generator
expressions. Pony then analyzes the abstract syntax tree of a generator and
translates it to its SQL equivalent.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pony

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Aug 26 2024 papoteur <papoteur> 0.7.18-1.mga10
+ Revision: 2091438
- new 0.7.18
- new 0.7.17
- rebuild for python 3.12
+ daviddavid <daviddavid>
- add py3.12 support
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.7.16-2.mga9
+ Revision: 1823453
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.7.16-1.mga9
+ Revision: 1783325
- version 0.7.16
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 0.7.14-1.mga9
+ Revision: 1733803
- update to 0.7.14 for python 3.9 support
- rebuild for python 3.9
+ wally <wally>
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.7.11-2.mga8
+ Revision: 1538957
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.7.11-1.mga8
+ Revision: 1463443
- imported package python-pony

